--- util-linux-2.37/config.h.in
+++ util-linux-2.37/config.h.in
@@ -216,9 +216,6 @@
 /* Define to 1 if you have the `cap-ng' library (-lcap-ng). */
 #undef HAVE_LIBCAP_NG
 
-/* Do we need -lcrypt? */
-#undef HAVE_LIBCRYPT
-
 /* Define if libeconf is available */
 #undef HAVE_LIBECONF
 
--- util-linux-2.37/configure
+++ util-linux-2.37/configure
@@ -4965,12 +4965,7 @@
 program_transform_name=`$as_echo "$program_transform_name" | sed "$ac_script"`
 
 if test x"${MISSING+set}" != xset; then
-  case $am_aux_dir in
-  *\ * | *\	*)
-    MISSING="\${SHELL} \"$am_aux_dir/missing\"" ;;
-  *)
-    MISSING="\${SHELL} $am_aux_dir/missing" ;;
-  esac
+  MISSING="\${SHELL} '$am_aux_dir/missing'"
 fi
 # Use eval to expand $SHELL
 if eval "$MISSING --is-lightweight"; then
@@ -25591,7 +25586,10 @@
 
 else
 
+
+  old_LIBS="$LIBS"
   LIBS="$LIBS -lcrypt"
+
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
@@ -25612,10 +25610,7 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-
-
-$as_echo "#define HAVE_LIBCRYPT 1" >>confdefs.h
+if ac_fn_c_try_link "$LINENO"; then :
 
   have_libcrypt=yes
   have_crypt=yes
@@ -25626,7 +25621,11 @@
 $as_echo "$as_me: WARNING: crypt() is not available" >&2;}
 
 fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+rm -f core conftest.err conftest.$ac_objext \
+    conftest$ac_exeext conftest.$ac_ext
+
+  LIBS="$old_LIBS"
+
 
 fi
 rm -f core conftest.err conftest.$ac_objext \
@@ -25768,12 +25767,8 @@
 
 
 
-  old_CFLAGS="$CFLAGS"
-  old_CPPFLAGS="$CPPFLAGS"
-  old_LDFLAGS="$LDFLAGS"
-  CFLAGS="$CFLAGS "
-  CPPFLAGS="$CPPFLAGS "
-  LDFLAGS="$LDFLAGS $SELINUX_LIBS"
+  old_LIBS="$LIBS"
+  LIBS="$LIBS $SELINUX_LIBS"
 
     # This function is missing in old libselinux 1.xx versions
     for ac_func in security_get_initial_context
@@ -25788,9 +25783,7 @@
 done
 
 
-  CFLAGS="$old_CFLAGS"
-  CPPFLAGS="$old_CPPFLAGS"
-  LDFLAGS="$old_LDFLAGS"
+  LIBS="$old_LIBS"
 
 
 fi
--- util-linux-2.37/Makefile.in
+++ util-linux-2.37/Makefile.in
@@ -1,4 +1,4 @@
-# Makefile.in generated by automake 1.16.2 from Makefile.am.
+# Makefile.in generated by automake 1.16.3 from Makefile.am.
 # @configure_input@
 
 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
@@ -4649,6 +4649,8 @@
 GZIP_ENV = --best
 DIST_ARCHIVES = $(distdir).tar.xz
 DIST_TARGETS = dist-xz
+# Exists only to be overridden by the user if desired.
+AM_DISTCHECK_DVI_TARGET = dvi
 distuninstallcheck_listfiles = find . -type f -print
 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
@@ -14854,7 +14856,7 @@
 	    $(DISTCHECK_CONFIGURE_FLAGS) \
 	    --srcdir=../.. --prefix="$$dc_install_base" \
 	  && $(MAKE) $(AM_MAKEFLAGS) \
-	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
+	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
 	  && $(MAKE) $(AM_MAKEFLAGS) check \
 	  && $(MAKE) $(AM_MAKEFLAGS) install \
 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
@@ -14920,7 +14922,8 @@
 	done
 install: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) install-recursive
-install-exec: install-exec-recursive
+install-exec: $(BUILT_SOURCES)
+	$(MAKE) $(AM_MAKEFLAGS) install-exec-recursive
 install-data: install-data-recursive
 uninstall: uninstall-recursive
 
@@ -16157,7 +16160,8 @@
 	uninstall-man8
 
 .MAKE: $(am__recursive_targets) all check check-am install install-am \
-	install-data-am install-exec-am install-strip uninstall-am
+	install-data-am install-exec install-exec-am install-strip \
+	uninstall-am
 
 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
 	am--depfiles am--refresh check check-am check-local clean \
